Retrieve an Answer
curl --request GET \
--url https://getunblocked.com/api/v1/answers/{questionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/answers/{questionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/answers/{questionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"questionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"answer": "<string>",
"references": [
{
"htmlUrl": "<string>"
}
]
}{
"status": 400
}{
"status": 400
}{
"status": 400
}{
"status": 400
}Answers
Retrieve an Answer
Poll a pending question for a response. Use this endpoint to check if your question has been processed and retrieve the answer.
GET
/
answers
/
{questionId}
Retrieve an Answer
Authorizations
The API key to authenticate requests. Obtainable from the web dashboard.
Path Parameters
The ID of a resource that can be retrieved from the service.
Response
OK
Available options:
processing, complete The unique identifier for the question
The original question text that was asked
The answer to the question in Markdown format
References used in the answer
Show child attributes
Show child attributes
⌘I